Quick User Interface Kit (QUIK)
===============================
QUIK is an immediate mode user interface kit intended for embedding in other
C# applications. When rendering UI elements, a command buffer is generated may
can be converted to any other rendering commands using built-in or self made
procedures.

Why QUIK?
---------
QUIK was inspired by Dear ImGUI and Nuklear projects, however these libraries
being implemented in C++ and C respectively make it harder to use them in a
C#.NET environment, either requiring excessive P/Invoke or custom made, error
prone marshalling.

QUIK is not intended to replace the aforementioned libraries for the C or C++
developer, however it is intended to make a similar library available to C#
users without having to battle the un/managed barrier. It also comes with the
advantage of not requiring any platform specific native libraries.
